<?xml version="1.0" encoding="utf-8"?><!--
	* ResourcePath: 充电动画资源和配置存放路径
	* XmlVersion: 充电动画配置文件版本
	* FileName: 充电动画MP4文件文件名
	* FileMd5: 充电动画MP4文件MD5
	* Gravity：MP4布局方式（1-完整填充整个布局 default,2-按视频比例在布局中间完整显示,3-按视频比例完整填充布局（多余部分不显示), 4-按视频尺寸显示, 5-等比缩放比例）
	* SuperFrameStart：MP4中极速快充动画开始帧
	* SuperFrameEnd：MP4中极速快充动画结束帧
	* BatteryIntegerSize：电量百分比整数部分字体大小(sp)
	* BatteryDecimalSize：电量百分比小数部分字体大小(sp)
	* BatteryPercentSize：电量百分比百分比符号%字体大小(sp)
	* PowerTextSize：功率显示字体大小(sp)
	* EnterAnimDelayTime：动画圆圈内电量和闪电图标等相对背景动画(webp动画)延迟出现的时间(毫秒)
	* EnterAnimDuration：动画圆圈内电量和闪电图标等出现动画播放时间长度(毫秒)
	* WireConfig：有线充电动画的配置
	* WirelessConfig：无线充电动画的配置
	* AirConfig：隔空充电动画的配置
	* ScalePercent：动画整体缩放百分比，默认1（主要针对内外屏公用动画）
	* wireConfig 有线配置信息
	* wirelessConfig 无线配置信息
	* normalTransitionStart 开始充电过渡帧开始
	* normalTransitionEnd 开始充电过渡帧结束
	* normalEnd 普冲充电结束帧
	* playLoop 循环次数
	* replyLoop 是否重复循环
	* frameConfig 对应档位数据 0,1，2,3列表 0非快充，其它对应快充档位
	*/
	*frameConfig 参数说
    * twoStart 对应档位开始帧
    * twoEnd 对应档位结束帧
    * playLoop 循环次数
    * replyLoop 是否重复循环
    -->
<charging>
    <commonConfig>
        <resourcePath>/product/theme/charge/</resourcePath>
        <xmlVersion>3.0</xmlVersion>
        <xmlSource>xml</xmlSource>
    </commonConfig>
    <wireConfig>
        <fileName>xos_wire_charging_lockscreen.mp4</fileName>
        <fileMd5>35532d90fb9b1b91f6f4e636bc5499d7</fileMd5>
        <gravity>2</gravity>
        <batteryIntegerSize>36</batteryIntegerSize>
        <batteryDecimalSize>36</batteryDecimalSize>
        <batteryPercentSize>20</batteryPercentSize>
        <powerTextSize>13</powerTextSize>
        <enterAnimDelayTime>250</enterAnimDelayTime>
        <enterAnimDuration>250</enterAnimDuration>
        <scalePercent>1</scalePercent>
        <normalTransitionStart>0</normalTransitionStart>
        <normalTransitionEnd>50</normalTransitionEnd>
        <normalEnd>99</normalEnd>
        <playLoop>0</playLoop>
        <replyLoop>true</replyLoop>
        <frameConfig>
            <transitionStart>0</transitionStart>
            <transitionEnd>0</transitionEnd>
            <twoStart>50</twoStart>
            <twoTransition>0</twoTransition>
            <twoEnd>99</twoEnd>
            <playLoop>0</playLoop>
            <replyLoop>true</replyLoop>
            <staticImageName>static_image_0.png</staticImageName>
        </frameConfig>
        <frameConfig>
            <transitionStart>0</transitionStart>
            <transitionEnd>0</transitionEnd>
            <twoStart>100</twoStart>
            <twoTransition>0</twoTransition>
            <twoEnd>149</twoEnd>
            <playLoop>0</playLoop>
            <replyLoop>true</replyLoop>
            <staticImageName>static_image_1.png</staticImageName>
        </frameConfig>
        <frameConfig>
            <transitionStart>0</transitionStart>
            <transitionEnd>0</transitionEnd>
            <twoStart>150</twoStart>
            <twoTransition>0</twoTransition>
            <twoEnd>199</twoEnd>
            <playLoop>0</playLoop>
            <replyLoop>true</replyLoop>
            <staticImageName>static_image_2.png</staticImageName>
        </frameConfig>
        <frameConfig>
            <transitionStart>0</transitionStart>
            <transitionEnd>0</transitionEnd>
            <twoStart>200</twoStart>
            <twoTransition>0</twoTransition>
            <twoEnd>249</twoEnd>
            <playLoop>0</playLoop>
            <replyLoop>true</replyLoop>
            <staticImageName>static_image_3.png</staticImageName>
        </frameConfig>
    </wireConfig>
    <wirelessConfig>
        <fileName>xos_wire_charging_lockscreen.mp4</fileName>
        <fileMd5>35532d90fb9b1b91f6f4e636bc5499d7</fileMd5>
        <gravity>2</gravity>
        <batteryIntegerSize>30</batteryIntegerSize>
        <batteryDecimalSize>30</batteryDecimalSize>
        <batteryPercentSize>16</batteryPercentSize>
        <powerTextSize>10</powerTextSize>
        <enterAnimDelayTime>500</enterAnimDelayTime>
        <enterAnimDuration>200</enterAnimDuration>
        <scalePercent>1</scalePercent>
        <normalTransitionStart>0</normalTransitionStart>
        <normalTransitionEnd>50</normalTransitionEnd>
        <normalEnd>99</normalEnd>
        <playLoop>0</playLoop>
        <replyLoop>true</replyLoop>
        <frameConfig>
            <transitionStart>0</transitionStart>
            <transitionEnd>0</transitionEnd>
            <twoStart>50</twoStart>
            <twoTransition>0</twoTransition>
            <twoEnd>99</twoEnd>
            <playLoop>0</playLoop>
            <replyLoop>true</replyLoop>
            <staticImageName>static_image_0.png</staticImageName>
        </frameConfig>
        <frameConfig>
            <transitionStart>0</transitionStart>
            <transitionEnd>0</transitionEnd>
            <twoStart>150</twoStart>
            <twoTransition>0</twoTransition>
            <twoEnd>199</twoEnd>
            <playLoop>0</playLoop>
            <replyLoop>true</replyLoop>
            <staticImageName>static_image_2.png</staticImageName>
        </frameConfig>
    </wirelessConfig>
    <airConfig>
        <fileName>xos_wire_charging_lockscreen.mp4</fileName>
        <fileMd5>35532d90fb9b1b91f6f4e636bc5499d7</fileMd5>
        <gravity>2</gravity>
        <batteryIntegerSize>30</batteryIntegerSize>
        <batteryDecimalSize>30</batteryDecimalSize>
        <batteryPercentSize>16</batteryPercentSize>
        <powerTextSize>10</powerTextSize>
        <enterAnimDelayTime>500</enterAnimDelayTime>
        <enterAnimDuration>200</enterAnimDuration>
        <scalePercent>1</scalePercent>
        <normalTransitionStart>0</normalTransitionStart>
        <normalTransitionEnd>50</normalTransitionEnd>
        <normalEnd>99</normalEnd>
        <playLoop>0</playLoop>
        <replyLoop>true</replyLoop>
        <frameConfig>
            <transitionStart>0</transitionStart>
            <transitionEnd>0</transitionEnd>
            <twoStart>50</twoStart>
            <twoTransition>0</twoTransition>
            <twoEnd>99</twoEnd>
            <playLoop>0</playLoop>
            <replyLoop>true</replyLoop>
            <staticImageName>static_image_0.png</staticImageName>
        </frameConfig>
        <frameConfig>
            <transitionStart>0</transitionStart>
            <transitionEnd>0</transitionEnd>
            <twoStart>150</twoStart>
            <twoTransition>0</twoTransition>
            <twoEnd>199</twoEnd>
            <playLoop>0</playLoop>
            <replyLoop>true</replyLoop>
            <staticImageName>static_image_2.png</staticImageName>
        </frameConfig>
    </airConfig>
</charging>